#property copyright "Copyright 2014, TLP"
#property link      "http://www.google.com"

#property indicator_chart_window

#import "RenkoBarsEngine.dll"
   string getDLLVer(int a0);
#import

int Gi_76 = 1;
double Gd_80 = -1.0;

// E37F0136AA3FFAF149B351F6A4C948E9
int init() {
   double Ld_12;
   if (getDLLVer(2) != "20121122.1") return (0);
   switch (Period()) {
   case 0:
   case PERIOD_M1:
   case PERIOD_M5:
   case PERIOD_M15:
   case PERIOD_M30:
   case PERIOD_H1:
   case PERIOD_H4:
   case PERIOD_D1:
   case PERIOD_W1:
   case PERIOD_MN1:
      return (0);
   }
   double point_4 = MarketInfo(Symbol(), MODE_POINT);
   if (Gi_76 == 1 || Gi_76 == 2) Gd_80 = MathAbs(iOpen(Symbol(), Period(), 1) - iClose(Symbol(), Period(), 1));
   else {
      if (Gi_76 == 3) Gd_80 = MathAbs(iHigh(Symbol(), Period(), 1) - iLow(Symbol(), Period(), 1));
      else Gd_80 = -1;
   }
   if (Gd_80 != -1.0) {
      Ld_12 = Gd_80 / Point;
      if (Digits % 2 > 0) Ld_12 /= 10.0;
      ObjectCreate("hThreshold", OBJ_ARROW, 0, iTime(Symbol(), Period(), 0), 0);
      ObjectCreate("lThreshold", OBJ_ARROW, 0, iTime(Symbol(), Period(), 0), 0);
      ObjectSet("hThreshold", OBJPROP_ARROWCODE, SYMBOL_RIGHTPRICE);
      ObjectSet("lThreshold", OBJPROP_ARROWCODE, SYMBOL_RIGHTPRICE);
      ObjectSet("hThreshold", OBJPROP_COLOR, Lime);
      ObjectSet("lThreshold", OBJPROP_COLOR, Red);
      ObjectCreate("hThresholdOpen", OBJ_TREND, 0, iTime(Symbol(), Period(), 0), 0, iTime(Symbol(), Period(), 1), 0);
      ObjectCreate("lThresholdOpen", OBJ_TREND, 0, iTime(Symbol(), Period(), 0), 0, iTime(Symbol(), Period(), 1), 0);
      ObjectSet("hThresholdOpen", OBJPROP_COLOR, Lime);
      ObjectSet("lThresholdOpen", OBJPROP_COLOR, Red);
      ObjectSet("hThresholdOpen", OBJPROP_RAY, FALSE);
      ObjectSet("lThresholdOpen", OBJPROP_RAY, FALSE);
      ObjectCreate("QuantumBarValue", OBJ_LABEL, 0, 0, 0);
      ObjectSetText("QuantumBarValue", "Renko " + DoubleToStr(Ld_12, 1) + " pip(s)", 8, "Segoe UI", Gray);
      ObjectSet("QuantumBarValue", OBJPROP_CORNER, 3);
      ObjectSet("QuantumBarValue", OBJPROP_XDISTANCE, 5);
      ObjectSet("QuantumBarValue", OBJPROP_YDISTANCE, 5);
   }
   return (0);
}
				  		   				   	  				    	 	 					  			  	 		  		  		  		 	 	 								  			   			 	  	 	 		   	  	 	  		  					 			 		 		    	 			 							 	 
// 52D46093050F38C27267BCE42543EF60
int deinit() {
   ObjectDelete("hThreshold");
   ObjectDelete("lThreshold");
   ObjectDelete("hThresholdOpen");
   ObjectDelete("lThresholdOpen");
   ObjectDelete("QuantumBarValue");
   return (0);
}
				 			   		 	   	   			      	 				   			    		  			 		  				 	 			 				  	 	   					  	 	  	   	    	  		 						 	 	 		 			   	 		  						  	 
// EA2B2676C28C0DB26D39331A336C6B92
int start() {
   double Ld_0;
   double Ld_8;
   double Ld_16;
   double Ld_24;
   f0_0(Ld_0, Ld_8, Ld_16, Ld_24);
   ObjectMove("hThreshold", 0, iTime(Symbol(), Period(), 0), Ld_0);
   ObjectMove("lThreshold", 0, iTime(Symbol(), Period(), 0), Ld_8);
   ObjectMove("hThresholdOpen", 0, iTime(Symbol(), Period(), 0), Ld_16);
   ObjectMove("hThresholdOpen", 1, iTime(Symbol(), Period(), 1), Ld_16);
   ObjectMove("lThresholdOpen", 0, iTime(Symbol(), Period(), 0), Ld_24);
   ObjectMove("lThresholdOpen", 1, iTime(Symbol(), Period(), 1), Ld_24);
   return (0);
}
						 	   	      	 	  		   	 		 			  	 			 	 			  	 				  	 	  	 		   			        		 	   	 		     	 	 		  				 				     		 	 		  	 	  						  		 
// E60DDC4486A48A827962383C527F2C51
double f0_0(double &Ad_0, double &Ad_8, double &Ad_16, double &Ad_24) {
   double Ld_32;
   if (Gi_76 == 1) {
      if (iOpen(Symbol(), Period(), 1) - iClose(Symbol(), Period(), 1) > 0.0) {
         Ad_0 = iClose(Symbol(), Period(), 1) + 2.0 * Gd_80;
         Ad_8 = iClose(Symbol(), Period(), 1) - Gd_80;
      } else {
         Ad_0 = iClose(Symbol(), Period(), 1) + Gd_80;
         Ad_8 = iClose(Symbol(), Period(), 1) - 2.0 * Gd_80;
      }
   } else {
      if (Gi_76 == 2) {
         if (iOpen(Symbol(), Period(), 1) - iClose(Symbol(), Period(), 1) > 0.0) {
            Ad_0 = iClose(Symbol(), Period(), 1) + Gd_80;
            Ad_8 = iClose(Symbol(), Period(), 1) - Gd_80;
         } else {
            Ad_0 = iClose(Symbol(), Period(), 1) + Gd_80;
            Ad_8 = iClose(Symbol(), Period(), 1) - Gd_80;
         }
      } else {
         if (Gi_76 == 3) {
            Ld_32 = MathAbs(iHigh(Symbol(), Period(), 0) - iLow(Symbol(), Period(), 0));
            if (iOpen(Symbol(), Period(), 0) - iClose(Symbol(), Period(), 0) > 0.0) {
               Ad_8 = iLow(Symbol(), Period(), 0) - (Gd_80 - Ld_32);
               Ad_0 = iHigh(Symbol(), Period(), 0) + (Gd_80 - Ld_32);
               ObjectSet("hThreshold", OBJPROP_COLOR, Gray);
               ObjectSet("lThreshold", OBJPROP_COLOR, Red);
            } else {
               if (iOpen(Symbol(), Period(), 0) - iClose(Symbol(), Period(), 0) < 0.0) {
                  Ad_0 = iHigh(Symbol(), Period(), 0) + (Gd_80 - Ld_32);
                  Ad_8 = iLow(Symbol(), Period(), 0) - (Gd_80 - Ld_32);
                  ObjectSet("hThreshold", OBJPROP_COLOR, Lime);
                  ObjectSet("lThreshold", OBJPROP_COLOR, Gray);
               } else {
                  Ad_8 = iLow(Symbol(), Period(), 0) - (Gd_80 - Ld_32);
                  Ad_0 = iHigh(Symbol(), Period(), 0) + (Gd_80 - Ld_32);
                  ObjectSet("hThreshold", OBJPROP_COLOR, Gray);
                  ObjectSet("lThreshold", OBJPROP_COLOR, Gray);
               }
            }
            Ad_16 = iOpen(Symbol(), Period(), 0) + Gd_80;
            Ad_24 = iOpen(Symbol(), Period(), 0) - Gd_80;
         }
      }
   }
   return (0.0);
}
